## steamlink 1.0.16

=== Makefile ===
#! /bin/make -f

all:
	@echo 'Run steamlink with "./steamlink" or install it with "sudo make install"'

install: install-bin install-docs install-icons install-desktop

install-bin:
	install -d -m 755 $(DESTDIR)$(PREFIX)/bin/
	install -p -m 755 $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/
	install -p -m 755 $(PACKAGE)deps $(DESTDIR)$(PREFIX)/bin/

install-docs:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -p -m 644 README LICENSE.txt $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/man/man6/
	install -m 644 $(PACKAGE).6 $(DESTDIR)$(PREFIX)/share/man/man6/

install-icons:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -p -m 644 icons/16/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/16x16/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -p -m 644 icons/24/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/24x24/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -p -m 644 icons/256/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/256x256/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -p -m 644 icons/32/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/32x32/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/icons/hicolor/48x48/apps/
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/pixmaps/
	install -p -m 644 icons/48/$(PACKAGE).png $(DESTDIR)$(PREFIX)/share/pixmaps/

install-desktop:
	install -d -m 755 $(DESTDIR)$(PREFIX)/share/applications/
	install -p -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/

#########################
PACKAGE=steamlink
PREFIX?=/usr

source-package:
	dpkg-buildpackage -S -us -uc

binary-package:
	dpkg-buildpackage -us -uc

release-package:
	dpkg-buildpackage --force-sign --sign-key=387C648A24C0E740

.PHONY: all install install-bin install-docs install-icons install-desktop source-package

=== debian/changelog ===
steamlink (1.0.16) UNRELEASED; urgency=medium

  * Fixed update signature validation with newer versions of gpg

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Fri, 7 Feb 2025 14:37:08 -0800

steamlink (1.0.15) UNRELEASED; urgency=medium

  * Package builds for all architectures

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Wed, 5 Feb 2025 11:45:02 -0800

steamlink (1.0.14) UNRELEASED; urgency=medium

  * Updated Debian version detection

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Tue, 4 Feb 2025 12:11:40 -0800

steamlink (1.0.13) UNRELEASED; urgency=medium

  * Updated the package to install on 32 and 64-bit architectures

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Sun, 10 Nov 2024 08:40:38 -0800

steamlink (1.0.12) UNRELEASED; urgency=medium

  * Switched python requirement to python3

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Wed, 15 Jun 2022 11:39:07 -0800

steamlink (1.0.11) UNRELEASED; urgency=medium

  * Updated for Raspbian Bullseye

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Thu, 11 Nov 2021 16:30:11 -0800

steamlink (1.0.10) UNRELEASED; urgency=medium

  * Updated launcher icons

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Mon, 22 Mar 2021 09:31:27 -0800

steamlink (1.0.9) UNRELEASED; urgency=medium

  * Added Steam Link as a protocol handler for steamlink:// URLs

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Mon, 15 Feb 2021 13:19:02 -0800

steamlink (1.0.8) UNRELEASED; urgency=medium

  * Removed udev rules, these are installed at runtime, if needed

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Mon, 03 Feb 2020 23:52:46 -0800

steamlink (1.0.7) UNRELEASED; urgency=medium

  * Fixed archive signature verification failure

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Thu, 06 Dec 2018 13:45:03 -0800

steamlink (1.0.6) UNRELEASED; urgency=medium

  * Download GPG signature and verify update contents

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Thu, 06 Dec 2018 10:20:35 -0800

steamlink (1.0.5) UNRELEASED; urgency=medium

  * Download MD5 checksum and verify update contents

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Wed, 05 Dec 2018 00:35:35 -0800

steamlink (1.0.4) UNRELEASED; urgency=medium

  * Fixed steamlinkdeps not waiting for lxterminal to complete

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Mon, 03 Dec 2018 23:54:08 -0800

steamlink (1.0.3) UNRELEASED; urgency=medium

  * Removed package dependencies on xterm and zenity

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Mon, 03 Dec 2018 12:26:59 -0800

steamlink (1.0.2) UNRELEASED; urgency=medium

  * Updated copyright information

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Sun, 02 Dec 2018 20:23:13 -0800

steamlink (1.0.1) UNRELEASED; urgency=medium

  * Public release

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Thu, 29 Nov 2018 23:25:39 -0800

steamlink (1.0.0) UNRELEASED; urgency=medium

  * Internal release

 -- Valve Corporation <SteamLinkFeedback@valvesoftware.com>  Tue, 27 Nov 2018 20:41:10 -0800

=== debian/control ===
Source: steamlink
Section: games
Priority: optional
Maintainer: Valve Corporation <SteamLinkFeedback@valvesoftware.com>
Build-Depends: debhelper (>= 8.0.0),
               python-all (>= 2.6.6-3~) | python3,
Standards-Version: 3.9.4
Homepage: https://store.steampowered.com/steamlink/about

Package: steamlink
Architecture: all
Depends: ${misc:Depends},
         python-all (>= 2.6.6-3~) | python3,
         curl,
         gnupg,
         libc6 (>= 2.24),
         xz-utils
Description: The Steam Link app brings desktop gaming to your Raspberry Pi. Just pair a controller to your device, connect to a computer running Steam on the same local network, and start playing your existing Steam games.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

%:
	dh $@ --with=python3
